create or replace package HRM_SALARY_RULES is
  /* Logger interface:
     p_log_level in varchar2
   , p_log_origin in varchar2
   , p_log_message in varchar2
   */
  procedure set_logger (p_logger in varchar2);
  
  /* Emailer interface
     p_sender     in varchar2
   , p_recipient  in varchar2
   , p_header     in varchar2
   , p_message    in varchar2
   , p_importance in varchar2
  */
  procedure set_emailer (p_emailer in varchar2);


  procedure set_salessalarycap( p_salessalarycap in number);
  
  function verify_salary_raise( p_job in varchar2, p_old_salary in number, p_new_salary in number)
  return boolean;
  
  function verify_job_change( p_old_job in varchar2, p_new_job in varchar2)
  return boolean;

end HRM_SALARY_RULES;
